petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecRealPart

Replaces a complex vector with its real part

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecRealPart(Vec v)

Collective on Vec

### Input Parameter

v -the vector

### See Also

VecNorm(), VecImaginaryPart()

### Level

beginner

### Location

src/vec/vec/utils/vinv.c

### Examples

src/ksp/ksp/examples/tutorials/ex71.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages